ServiceNotification (Mule ESB 2.2.1 API)
Keywords: org.mule.context.notification.ServiceNotification class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.context.notification
Class ServiceNotification

    java.lang.Object
      java.util.EventObject
          org.mule.api.context.notification.ServerNotification
              org.mule.context.notification.ServiceNotification

All Implemented Interfaces:
  Serializable

    public class ServiceNotification

extends ServerNotification

`ServiceNotification` is fired when an event such as the service starting occurs. The payload of this event will always be a reference to the service.

See Also:
  Serialized Form

Field Summary
`static int` | `SERVICE_DISPOSED`
`static int` | `SERVICE_INITIALISED`
`static int` | `SERVICE_PAUSED`
`static int` | `SERVICE_RESUMED`
`static int` | `SERVICE_STARTED`
`static int` | `SERVICE_STOPPED`
`static int` | `SERVICE_STOPPING`

Fields inherited from class org.mule.api.context.notification.ServerNotification
`action, ADMIN_EVENT_ACTION_START_RANGE, COMPONENT_EVENT_ACTION_START_RANGE, CONNECTION_EVENT_ACTION_START_RANGE, CONTEXT_EVENT_ACTION_START_RANGE, CUSTOM_EVENT_ACTION_START_RANGE, EVENT_NAME, EXCEPTION_EVENT_ACTION_START_RANGE, MANAGEMENT_EVENT_ACTION_START_RANGE, MESSAGE_EVENT_ACTION_START_RANGE, MODEL_EVENT_ACTION_START_RANGE, NO_ACTION_ID, NO_ACTION_NAME, NULL_ACTION, NULL_MESSAGE, REGISTRY_EVENT_ACTION_START_RANGE, resourceIdentifier, ROUTING_EVENT_ACTION_START_RANGE, SECURITY_EVENT_ACTION_START_RANGE, serverId, SERVICE_EVENT_ACTION_START_RANGE, SPACE_EVENT_ACTION_START_RANGE, timestamp, TRANSACTION_EVENT_ACTION_START_RANGE, TYPE_ERROR, TYPE_FATAL, TYPE_INFO, TYPE_WARNING`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ServiceNotification(Service message, int action)`

Method Summary
`protected String` | `getPayloadToString()`

Methods inherited from class org.mule.api.context.notification.ServerNotification
`getAction, getActionId, getActionName, getActionName, getResourceIdentifier, getServerId, getTimestamp, getType, isResourceIdentifierAnUri, registerAction, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SERVICE_INITIALISED

    public static final int SERVICE_INITIALISED

See Also:
  Constant Field Values

### SERVICE_STARTED

    public static final int SERVICE_STARTED

See Also:
  Constant Field Values

### SERVICE_STOPPED

    public static final int SERVICE_STOPPED

See Also:
  Constant Field Values

### SERVICE_PAUSED

    public static final int SERVICE_PAUSED

See Also:
  Constant Field Values

### SERVICE_RESUMED

    public static final int SERVICE_RESUMED

See Also:
  Constant Field Values

### SERVICE_DISPOSED

    public static final int SERVICE_DISPOSED

See Also:
  Constant Field Values

### SERVICE_STOPPING

    public static final int SERVICE_STOPPING

See Also:
  Constant Field Values

Constructor Detail

### ServiceNotification

    public ServiceNotification(Service message,
                               int action)

Method Detail

### getPayloadToString

    protected String getPayloadToString()

  Overrides:
    `getPayloadToString` in class `ServerNotification`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.